Subject: RE: [External] : Re: bug#65348: INITIAL-INPUT in completing-read repeats same entry twice consecutively

From: Drew Adams <[email-masked]>
Date: Sat, 19 Aug 2023 20:56:19 +0000

> > > You can try starting a discussion on emacs-devel if you want.  But the
> > > above-mentioned change was not done arbitrarily, and does have its
> > > merit in many situations,
> >
> > I don't see that it has merit in any situation.
> 
> The situations where it's useful are obvious.

Instead of claiming that, maybe you can point to
one or two?  That shouldn't be hard.  I'd really
like to hear about it.

> > I haven't seen a single example cited where it
> > has merit.  Can you point to one?
> 
> What for? so you could argue endlessly that you disagree?  We already
> know that you don't like that change and think it should be reverted,
> so what would be the purpose of another discussion about that?

C'mon, Eli.  I won't disagree if I see the point.
So far, I haven't seen one example of a use case
or heard one concrete argument for why this helps.

Give it a try.  What's a use case, obvious to you
or not?  What's a reason why you think it helps?

A priori, I would like to see this removed as the
_default_ behavior.  But I don't expect that.
Next best would be a good user option to tame it
or even turn it off altogether.  

> > And I think you agreed that it's obvious that in
> > some cases (such as the `C-h v' example cited in
> > bug #64656) it's _clearly_ not helpful but harmful.
> 
> In some, quite extreme, case, indeed, it is not useful.
> That doesn't yet mean it is always useless.

Agreed.  (Re-agreed, in fact.)

To ask that we be able to tame it doesn't require
a claim that it's always useless.  I don't know
that it's always useless.  I've only said that I
haven't seen an example of when/how it's useful.

In case you're thinking, for your "obvious" use
cases, of a case where you have few completion
candidates, such as just "alpha", "beta", "gamma",
then let's not forget that you can already cycle
among those now, as completion candidates, without
having them added to the future history.  That's
available since Stefan added candidate cycling,
AFAIK.

> Again, we've been through that, and I really have
> no reason to do it again.  Life is too short.

I don't think we've been through this at all.
I expressed my view (so far) that this feature
doesn't help and is generally an obstacle.  But
AFAIK there's been no discussion, pro & con.

You act like there's already been some big
discussion.  I haven't found any.  This is the
most I've written on it, in this little bug
thread, read by maybe 3 people.